<html lang="en">

<head>
    <link rel="manifest" href="/js/pwa.webmanifest">
    <link rel="apple-touch-icon" href="/images/apple-touch-icon.png">
    <link rel="icon" type="image/x-icon" href="/images/favicon.ico">
    <link rel="stylesheet" href="/css/ar.css">
    <link rel="stylesheet" href="/css/header.css">
    <link rel="stylesheet" href="/css/bootstrap.min.css">
    <meta name="viewport" content="width=device-width, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0">
    <meta name="theme-color" content="#BC984A" />
    <script src="/js/ar/aframe-master.min.js"></script>
    <script src="/js/ar/aframe-ar-nft.js"></script>
    <script src="/js/ar/aframe-gif-shader.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
</head>

<body onload="checkScan()">
    <header>
        <a href="./scan.html"><img src="./images/logoCerealis.jpg" alt="cerealisLogo" class="logo" width="60px"
                height="60px"></a>
        <div class="header-title">
            <h1>Cerealis</h1>
            <span><b class="page-status">online</b></span>
        </div>
    </header>


    <section>
        <div class="arjs-loading"></div>
        <div class="arjs">
            <a-scene embedded arjs>

                <a-marker type="pattern" url="/markers/pattern-cerealis.patt">
                    <a-entity position="0 0 0">
                    </a-entity>
                </a-marker>

                <a-entity camera></a-entity>
            </a-scene>
        </div>
        <button type="button" class="btn btn-secondary backToScanBtn opacity65" onclick="redirect()">Back to
            scan</button>
        <button type="button" class="btn btn-warning shareBtn opacity65" onclick="displayForm()">Share</button>

        <div hidden class="shareForm">
            <div onclick="closeForm()" class="close-form"><b>X</b></div>
            <form>
                <div class="form-group">
                    <label for="nameInput">Your Name</label>
                    <input required type="text" class="form-control" id="name" placeholder="Enter name">
                </div>
                <div class="form-group">
                    <label for="emailInput">Email address</label>
                    <input required type="email" class="form-control" id="emailInput" aria-describedby="emailHelp"
                        placeholder="Enter email">
                </div>
                <div class="form-group">
                    <label for="emailInput">Your post</label>
                    <input required type="text" class="form-control" id="postInput"
                        placeholder="Look at my 3d drawing with #Cerealis">
                </div>
                <div class="mt-4">
                    <button class="btn btn-warning btn-sm"><i class="fa fa-facebook-official"></i> Facebook</button>
                    <button class="btn btn-warning btn-sm"><i class="fa fa-instagram"></i> Instagram</button>
                    <button class="btn btn-warning btn-sm"><i class="fa fa-twitter"></i> Twitter</button>
                </div>
                <div class="submit-btn-container">
                    <button onclick="submitForm()" class="btn btn-warning btn-md submit-form"><b>Send</b></button>
                </div>
            </form>
        </div>
    </section>

    <script src="./js/ar/ar.js"></script>
</body>

</html>